QSVEncC (x64) 1.33 by rigaya, build Apr  5 2015 14:56:03
based on Intel(R) Media SDK Encoding Sample 6,0,0,98947
  avi reader: enabled
  avs reader: enabled
  vpy reader: enabled

Usage: QSVEncC [Options] -i <filename> -o <filename>

input can be avi, avs, vpy, raw YUV or YUV4MPEG2(y4m) format.
when raw(default), fps, input-res are also necessary.

output format will be raw H.264/AVC ES.
when output filename is set to "-", H.264/AVC ES output is thrown to stdout.

Example:
  QSVEncC -i "<avsfilename>" -o "<outfilename>"
  avs2pipemod -y4mp "<avsfile>" | QSVEncC --y4m -i - -o "<outfilename>"

Example for Benchmark:
  QSVEncC -i "<avsfilename>" --benchmark "<benchmark_result.txt>"

Options: 
-h,-? --help                    show help
-v,--version                    show version info

-i,--input-file <filename>      set input file name
-o,--output-file <filename>     set ouput file name

 Input formats (will be estimated from extension if not set.)
   --raw                        set input as raw format
   --y4m                        set input as y4m format
   --avi                        set input as avi format
   --avs                        set input as avs format
   --vpy                        set input as vpy format
   --vpy-mt                     set input as vpy format in multi-thread

   --nv12                       set raw input as NV12 color format,
                                if not specified YV12 is expected
   --tff                        set as interlaced, top field first
   --bff                        set as interlaced, bottom field first
-f,--fps <int>/<int> or <float> video frame rate (frames per second)

   --input-res <int>x<int>      input resolution
   --output-res <int>x<int>     output resolution
                                if different from input, uses vpp resizing
                                if not set, output resolution will be same
                                as input (no resize will be done).
   --crop <int>,<int>,<int>,<int>
                                set crop pixels of left, up, right, bottom.

   --slices <int>               number of slices, default 0 (auto)

   --sw                         use software encoding, instead of QSV (hw)
   --check-hw                   check if QuickSyncVideo is available
   --check-lib                  check lib API version installed
   --check-features             check encode features
   --check-environment          check environment info
   --disable-d3d                disable using d3d surfaces
   --d3d                        use d3d9/d3d11 surfaces
   --d3d9                       use d3d9 surfaces
   --d3d11                      use d3d11 surfaces

 EncMode default: --cqp
   --cqp <int> or               encode in Constant QP, default 24:26:27
         <int>:<int>:<int>      set qp value for i:p:b frame
   --vqp <int> or               encode in Variable QP, default 24:26:27
         <int>:<int>:<int>      set qp value for i:p:b frame
   --la <int>                   set bitrate in Lookahead mode (kbps)
   --la-hrd <int>               set bitrate in HRD-Lookahead mode (kbps)
   --icq <int>                  encode in Intelligent Const. Qualtiy mode
                                  default value: 23
   --la-icq <int>               encode in ICQ mode with Lookahead
                                  default value: 23
   --cbr <int>                  set bitrate in CBR mode (kbps)
   --vbr <int>                  set bitrate in VBR mode (kbps)
   --avbr <int>                 set bitrate in AVBR mode (kbps)
                                 AVBR mode is only supported with API v1.3
   --avbr-unitsize <int>        avbr calculation period in x100 frames
                                 default 90 (= unit size 9000 frames)
   --qvbr <int>                 set bitrate in Quality VBR mode.
   --qvbr-q <int>  or           set quality used in qvbr mode. default: 23
   --qvbr-quality <int>          QVBR mode is only supported with API v1.11
   --vcm <int>                  set bitrate in VCM mode (kbps)

   --la-depth <int>             set Lookahead Depth, 10-100
   --la-window-size <int>       enables Lookahead Windowed Rate Control mode,
                                  and set the window size in frames.
   --max-bitrate <int>          set max bitrate(kbps)
-u,--quality <string>           encode quality
                                  - best, higher, high, balanced(default)
                                    fast, faster, fastest

   --ref <int>                  reference frames for sw encoding
                                  default 0 (auto)
-b,--bframes <int>              number of sequential b frames
                                  default 3 (auto)

   --gop-len <int>              (max) gop length, default 0 (auto)
                                  when auto, fps x 10 will be set.
   --(no-)open-gop              enables open gop (default:off)
   --strict-gop                 force gop structure
   --(no-)scenechange           enables scene change detection

   --level <string>             set codec level, default auto
   --profile <string>           set codec profile, default auto
   --sar <int>:<int>            set Sample Aspect Ratio
   --bluray                     for H.264 bluray encoding

   --vpp-denoise <int>          use vpp denoise, set strength
   --vpp-detail-enhance <int>   use vpp detail enahancer, set strength
   --vpp-deinterlace <string>   set vpp deinterlace mode
                                enabled only when set --tff or --bff
                                 - none     disable deinterlace
                                 - normal   normal deinterlace
                                 - it       inverse telecine
                                 - bob      double framerate
   --vpp-image-stab <string>    set image stabilizer mode
                                 - none, upscale, box

   --input-buf <int>            buffer size for input (1-16)
                                 default   hw: 3,  sw: 1
   --log <string>               output log to file.

 settings below are only supported with API v1.3
   --fullrange                  set stream as fullrange yuv
   --videoformat <string>         undef, ntsc, component, pal, secam, mac
                                   default: undef
   --colormatrix <string>         undef, auto, bt709, smpte170m, bt470bg
                                  smpte240m, YCgCo, fcc, GBR
                                   default: undef
   --colorprim <string>           undef, auto, bt709, smpte170m, bt470m
                                  bt470bg, smpte240m, film
                                   default: undef
   --transfer <string>            undef, auto, bt709, smpte170m, bt470m
                                  bt470bg, smpte240m, linear, log100, log316
                                   default: undef

 settings below are only supported with API v1.6
   --(no-)mbbrc                 enables per macro block rate control
                                 default: off
   --(no-)extbrc                enables extended rate control
                                 default: off

 settings below are only supported with API v1.7
   --trellis <string>           set trellis mode used in encoding
                                 - auto(default), none, i, ip, all

 settings below are only supported with API v1.8
   --(no-)i-adapt               enables adaptive I frame insert (default:off)
   --(no-)b-adapt               enables adaptive B frame insert (default:off)
   --(no-)b-pyramid             enables B-frame pyramid reference (default:off)
   --lookahead-ds <string>      set lookahead quality.
                                 - auto(default), fast, normal, slow

 settings below are only supported with API v1.9
   --(no-)intra-refresh         enables adaptive I frame insert
   --no-deblock                 disables H.264 deblock feature
   --qpmin <int> or             set min QP, default 0 (= unset)
           <int>:<int>:<int>
   --qpmax <int> or             set max QP, default 0 (= unset)
           <int>:<int>:<int>

 settings below are only supported with API v1.13
   --mv-scaling                 set mv cost scaling
                                 - 0  set MV cost to be 0
                                 - 1  set MV cost 1/8 of default
                                 - 2  set MV cost 1/4 of default
                                 - 3  set MV cost 1/2 of default
   --(no-)direct-bias-adjust    lower usage of B frame Direct/Skip type

 Settings below are available only for software ecoding.
   --cavlc                      use cavlc instead of cabac
   --rdo                        use rate distortion optmization
   --inter-pred <int>           set minimum block size used for
   --intra-pred <int>           inter/intra prediction
                                  0: auto(default)   1: 16x16
                                  2: 8x8             3: 4x4
   --mv-search <int>            set window size for mv search
                                  default: 0 (auto)
   --mv-precision <int>         set precision of mv search
                                  0: auto(default)   1: full-pell
                                  2: half-pell       3: quater-pell

   --benchmark <string>         run in benchmark mode
                                 and write result in txt file
   --(no-)timer-period-tuning   enable(disable) timer period tuning
                                  default: enabled
